/* crc-x86_64.h -- CRC32 implementation for x86_64
   Copyright (C) 2024-2025 Free Software Foundation, Inc.

   This file is free software: you can redistribute it and/or modify
   it under the terms of the GNU Lesser General Public License as
   published by the Free Software Foundation, either version 3 of the
   License, or (at your option) any later version.

   This file is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* Written by Sam Russell.  */

#ifndef CRC_X86_64_H
#define CRC_X86_64_H 1

#include <stddef.h>
#include <stdint.h>

#ifdef __cplusplus
extern "C" {
#endif

extern uint32_t
crc32_update_no_xor_pclmul (uint32_t crc, const void *buf, size_t len)
  _GL_ATTRIBUTE_PURE;

#ifdef __cplusplus
}
#endif

#endif /* CRC_X86_64_H */
